<doxygenindex xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="index.xsd">
  <compound kind="struct" refid="structcy__http__message__body__t"><name>cy_http_message_body_t</name>
    <member kind="variable" refid="structcy__http__message__body__t_1a3d07565cc43cf954e63ebaa5c2db1ca6"><name>data</name></member>
    <member kind="variable" refid="structcy__http__message__body__t_1a3cfde2375f1e55e21bd204a8f843f473"><name>data_length</name></member>
    <member kind="variable" refid="structcy__http__message__body__t_1afeaaa983c593be6dc2ba404ea086d44c"><name>data_remaining</name></member>
    <member kind="variable" refid="structcy__http__message__body__t_1a732a4fae8ab65d0d2b4e686c61402fbc"><name>is_chunked_transfer</name></member>
    <member kind="variable" refid="structcy__http__message__body__t_1a38d892177ec43905ae3f8bd1107e1e31"><name>mime_type</name></member>
    <member kind="variable" refid="structcy__http__message__body__t_1a63816ce209da9210ab93c3699ce775f9"><name>request_type</name></member>
  </compound>
  <compound kind="struct" refid="structcy__http__response__stream__t"><name>cy_http_response_stream_t</name>
    <member kind="variable" refid="structcy__http__response__stream__t_1aa18641ca5f33f4a35f8c263e4c5a2b2a"><name>tcp_stream</name></member>
    <member kind="variable" refid="structcy__http__response__stream__t_1add4a8cc936e3e5af9e3323ca03ddf716"><name>chunked_transfer_enabled</name></member>
  </compound>
  <compound kind="struct" refid="structcy__https__server__security__info__t"><name>cy_https_server_security_info_t</name>
    <member kind="variable" refid="structcy__https__server__security__info__t_1ab0df9038e60cccd0e8812c813c6b4c13"><name>private_key</name></member>
    <member kind="variable" refid="structcy__https__server__security__info__t_1ad9a1a0499abc77950cfde7aa19a9e3a2"><name>key_length</name></member>
    <member kind="variable" refid="structcy__https__server__security__info__t_1ac99aee7927d640ff6dfbe200dc44d8ae"><name>certificate</name></member>
    <member kind="variable" refid="structcy__https__server__security__info__t_1a3025afbe193cd4e514a711f09d3024e4"><name>certificate_length</name></member>
    <member kind="variable" refid="structcy__https__server__security__info__t_1af85967438ec03bba793c57ea2f7d1b2c"><name>root_ca_certificate</name></member>
    <member kind="variable" refid="structcy__https__server__security__info__t_1a1b1bd39e4abc48f6789b001c7d67a554"><name>root_ca_certificate_length</name></member>
  </compound>
  <compound kind="struct" refid="structcy__resource__dynamic__data__t"><name>cy_resource_dynamic_data_t</name>
    <member kind="variable" refid="structcy__resource__dynamic__data__t_1a2fa3f6203db2348184a4cd0409c1d6cb"><name>resource_handler</name></member>
    <member kind="variable" refid="structcy__resource__dynamic__data__t_1a21189a067fa29eb836db706aa3553f2b"><name>arg</name></member>
  </compound>
  <compound kind="struct" refid="structcy__resource__static__data__t"><name>cy_resource_static_data_t</name>
    <member kind="variable" refid="structcy__resource__static__data__t_1a898a2959797f5d333f70915e27c8f8bf"><name>data</name></member>
    <member kind="variable" refid="structcy__resource__static__data__t_1a288d94a277b56b226480d6d18e7787ce"><name>length</name></member>
  </compound>
  <compound kind="class" refid="class_h_t_t_p_server"><name>HTTPServer</name>
    <member kind="variable" refid="class_h_t_t_p_server_1a33679d6801aa8e2cdfb9e7d585778c43"><name>http_server_obj</name></member>
    <member kind="function" refid="class_h_t_t_p_server_1a447813075f8c93c5a18d09b964c441f2"><name>HTTPServer</name></member>
    <member kind="function" refid="class_h_t_t_p_server_1a2b3c118e41b43e9b5a6b8ecc181a6c5b"><name>HTTPServer</name></member>
    <member kind="function" refid="class_h_t_t_p_server_1af09066b05417f9a9ce9f1cd8e5ad9e18"><name>~HTTPServer</name></member>
    <member kind="function" refid="class_h_t_t_p_server_1a5f1e04f9dab07ce5a251ecd4aa822f13"><name>start</name></member>
    <member kind="function" refid="class_h_t_t_p_server_1ae4d9963945a344e9f86e7dc74a4e9d6a"><name>stop</name></member>
    <member kind="function" refid="class_h_t_t_p_server_1a58eb80fb7f039210cc9d7040f0008232"><name>register_resource</name></member>
    <member kind="function" refid="class_h_t_t_p_server_1a937e00e6f94294fcdb1aac15c1050a9a"><name>http_response_stream_enable_chunked_transfer</name></member>
    <member kind="function" refid="class_h_t_t_p_server_1a72d96603c15870cd4d8a424e7e500c14"><name>http_response_stream_disable_chunked_transfer</name></member>
    <member kind="function" refid="class_h_t_t_p_server_1ac16d556a72c51030a4da8b4a959dfe40"><name>http_response_stream_write_header</name></member>
    <member kind="function" refid="class_h_t_t_p_server_1a1c092569ed367ec082e0c320e1d24979"><name>http_response_stream_write</name></member>
    <member kind="function" refid="class_h_t_t_p_server_1ac6f99ff4a888494453553cdced6565b3"><name>http_response_stream_disconnect</name></member>
    <member kind="function" refid="class_h_t_t_p_server_1a73a2c6a64d557e5656541b72f8ceb7a5"><name>http_disconnect_all_response_stream</name></member>
    <member kind="function" refid="class_h_t_t_p_server_1a6bed49ab05fa4223993b4129ae966e69"><name>http_response_stream_flush</name></member>
    <member kind="function" refid="class_h_t_t_p_server_1a973632c22f7040c30d2a7162c2a3a236"><name>http_get_query_parameter_value</name></member>
    <member kind="function" refid="class_h_t_t_p_server_1a05965ce0cf59ea53608650ff36a0edb8"><name>http_get_query_parameter_count</name></member>
    <member kind="function" refid="class_h_t_t_p_server_1a90253acc6cd8fcbdf4dd0c42743b26dc"><name>http_match_query_parameter</name></member>
  </compound>
  <compound kind="file" refid="cy__http__server_8h"><name>cy_http_server.h</name>
    <member kind="define" refid="group__http__server__defines_1ga425a68fa7a0370bc6e5860c5071ff678"><name>CY_RSLT_MODULE_HTTP_SERVER_ERR_CODE_START</name></member>
    <member kind="define" refid="group__http__server__defines_1gadf0bfe131ef6b6df00ccd63fc5c3f97d"><name>CY_RSLT_HTTP_SERVER_ERR_BASE</name></member>
    <member kind="define" refid="group__http__server__defines_1gaf2c796290719bbed06260345115fa4d5"><name>CY_RSLT_HTTP_SERVER_ERROR_NO_MEMORY</name></member>
    <member kind="define" refid="group__http__server__defines_1ga78e074584fe1b9db59719da68d789e45"><name>CY_RSLT_HTTP_SERVER_ERROR_THREAD_INIT</name></member>
    <member kind="define" refid="group__http__server__defines_1gaea7661da0e5f47dc3189a74cf46c3bc9"><name>CY_RSLT_HTTP_SERVER_ERROR_QUEUE_INIT</name></member>
    <member kind="define" refid="group__http__server__defines_1gad0fc4a3f2264b1cb8782f1c786007c4e"><name>CY_RSLT_HTTP_SERVER_ERROR_MUTEX_INIT</name></member>
    <member kind="define" refid="group__http__server__defines_1ga4a0578b0b02fac0f388a8f42d24c2438"><name>CY_RSLT_HTTP_SERVER_ERROR_TCP_SERVER_START</name></member>
    <member kind="define" refid="group__http__server__defines_1gaf37af643cc83b846b489ddc5c0f19f0c"><name>CY_RSLT_HTTP_SERVER_ERROR_UNSUPPORTED</name></member>
    <member kind="define" refid="group__http__server__defines_1gadc67324a1bbca349985d93bc79a57d9d"><name>CY_RSLT_HTTP_SERVER_ERROR_BADARG</name></member>
    <member kind="define" refid="group__http__server__defines_1ga1ed8eeca1b0a95ddf9e5392eb6ff8591"><name>CY_RSLT_HTTP_SERVER_ERROR_NOT_FOUND</name></member>
    <member kind="define" refid="group__http__server__defines_1ga7f11e40b478453160843230b18ee3857"><name>CY_RSLT_HTTP_SERVER_ERROR_PARTIAL_RESULTS</name></member>
    <member kind="define" refid="group__http__server__defines_1ga9984e926fea988cbf4872348e2370c55"><name>CY_RSLT_HTTP_SERVER_PAGE_DATABASE_FULL</name></member>
    <member kind="define" refid="group__http__server__defines_1gaf18faa0179a6087e4b03d9a81d02010e"><name>CY_RSLT_ERROR</name></member>
    <member kind="define" refid="group__http__server__defines_1ga6e47b484776a72216039a2af358bcedc"><name>MAX_NUMBER_OF_HTTP_SERVER_RESOURCES</name></member>
    <member kind="define" refid="group__http__server__struct_1ga9570abf22d29227cd523da79c1e216eb"><name>EXPAND_AS_ENUMERATION</name></member>
    <member kind="define" refid="group__http__server__struct_1ga517bd1687351d721dfa5f6ec4053493f"><name>MIME_TABLE</name></member>
    <member kind="enum" refid="group__http__server__struct_1ga133e1438783bd7430e0e80b23518e743"><name>cy_http_request_type_t</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1gga133e1438783bd7430e0e80b23518e743aae6efd1e64c25ff81cc5114051db036b"><name>CY_HTTP_REQUEST_GET</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1gga133e1438783bd7430e0e80b23518e743a1c330cdb770148314e8e6c568b48acd9"><name>CY_HTTP_REQUEST_POST</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1gga133e1438783bd7430e0e80b23518e743ae6f844ee75f8cadd252bddfd3fde3532"><name>CY_HTTP_REQUEST_PUT</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1gga133e1438783bd7430e0e80b23518e743ae033858556d98e39e1c0f624c83c0b4a"><name>CY_HTTP_REQUEST_UNDEFINED</name></member>
    <member kind="enum" refid="group__http__server__struct_1ga64b862dacedd67c3d74845c1a6038b89"><name>cy_http_cache_t</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1gga64b862dacedd67c3d74845c1a6038b89a21676ce46eff61339e33dded1daeaaea"><name>CY_HTTP_CACHE_DISABLED</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1gga64b862dacedd67c3d74845c1a6038b89a1ba6f4e19b464a2b890040aa84c32a6b"><name>CY_HTTP_CACHE_ENABLED</name></member>
    <member kind="enum" refid="group__http__server__struct_1gab6be7a35bfdbd62b763603d280dc4ee1"><name>cy_http_mime_type_t</name></member>
    <member kind="enum" refid="group__http__server__struct_1gad1b0486d4ab51b5b1969e54aae1e5edd"><name>cy_http_status_codes_t</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5eddad3dbd9c89c618dff06785fdd77ec0419"><name>CY_HTTP_200_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5edda5e39c01af97526ea6c9b9e4406f7f7d0"><name>CY_HTTP_204_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5edda64594c9218c45ad4c7b424b819839587"><name>CY_HTTP_207_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5edda31bb5770a3687bea226677fcbec762ef"><name>CY_HTTP_301_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5edda19e795ef6a5cf0f638b8cd329aa6796a"><name>CY_HTTP_400_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5edda09b0f7124d716a8b21c1d299f87180ab"><name>CY_HTTP_403_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5edda4f45531dbee97b7a5dcc026a767eb977"><name>CY_HTTP_404_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5eddaf0b401449ba5fcada5c49976e8d9b41a"><name>CY_HTTP_405_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5edda56149d89c04690ca8aa577e123434930"><name>CY_HTTP_406_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5edda887ccefc0440437c131f3639754cf3a1"><name>CY_HTTP_412_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5edda1d7c7f7009c9a2030ebdd746f5b55f00"><name>CY_HTTP_415_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5eddac667e393604e80ea50bfd22788911250"><name>CY_HTTP_429_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5edda3e0ac33f9701d44a95cad9c5a30f4e05"><name>CY_HTTP_444_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5edda56844ab35f128c4ca409ec704dcb3ac5"><name>CY_HTTP_470_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5eddae099016f20b49bfd86f2b2282ab6858b"><name>CY_HTTP_500_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5eddad3c183b10c91de68efdf076efab73876"><name>CY_HTTP_504_TYPE</name></member>
    <member kind="enum" refid="group__http__server__struct_1ga32d601085911dbd59b7ecd50a6b7f584"><name>cy_url_resource_type</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1gga32d601085911dbd59b7ecd50a6b7f584a16c98c125133981542d412c2449988a1"><name>CY_STATIC_URL_CONTENT</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1gga32d601085911dbd59b7ecd50a6b7f584ab61d536399015bfa53ede0e680aae9f7"><name>CY_DYNAMIC_URL_CONTENT</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1gga32d601085911dbd59b7ecd50a6b7f584a4e628b0071460eed61ea11b4d8b09087"><name>CY_RESOURCE_URL_CONTENT</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1gga32d601085911dbd59b7ecd50a6b7f584a3a560fd0b3405a9114a1d50f721cd33b"><name>CY_RAW_STATIC_URL_CONTENT</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1gga32d601085911dbd59b7ecd50a6b7f584a6b8d1cd5fef8b7ffc82c06591b8e3bc1"><name>CY_RAW_DYNAMIC_URL_CONTENT</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1gga32d601085911dbd59b7ecd50a6b7f584a7a1b3a5cd969740f25d02edb5e2bafba"><name>CY_RAW_RESOURCE_URL_CONTENT</name></member>
    <member kind="typedef" refid="group__http__server__struct_1ga047ac1c7063077c58da4cc991ad3b1bf"><name>cy_http_server_t</name></member>
    <member kind="typedef" refid="group__http__server__struct_1ga6515ad09b10c358aa2d1d1efd4a4f2cd"><name>url_processor_t</name></member>
    <member kind="function" refid="group__group__c__api__functions_1ga74c8a85310d1537177f80adaef20cfd9"><name>cy_http_server_network_init</name></member>
    <member kind="function" refid="group__group__c__api__functions_1ga1922ac08bf92b285a8f96bb6170291af"><name>cy_http_server_network_deinit</name></member>
    <member kind="function" refid="group__group__c__api__functions_1ga1ca51f61222e3aed87c0a15955e2e269"><name>cy_http_server_create</name></member>
    <member kind="function" refid="group__group__c__api__functions_1ga13251efe44c82d506b1ccf48e5acc5dd"><name>cy_http_server_delete</name></member>
    <member kind="function" refid="group__group__c__api__functions_1ga3cb020a5e45f80b55ea3fc2eb1c6c3df"><name>cy_http_server_start</name></member>
    <member kind="function" refid="group__group__c__api__functions_1ga9883b5677f3f49d229d8883f414e9806"><name>cy_http_server_stop</name></member>
    <member kind="function" refid="group__group__c__api__functions_1gad03c8e19c0792c4307356e52ba3006ee"><name>cy_http_server_register_resource</name></member>
    <member kind="function" refid="group__group__c__api__functions_1gaf4743c3b0e6ef9ba4afc5e1b5531691f"><name>cy_http_server_response_stream_enable_chunked_transfer</name></member>
    <member kind="function" refid="group__group__c__api__functions_1gab24071765e97d90225a33ead1318298e"><name>cy_http_server_response_stream_disable_chunked_transfer</name></member>
    <member kind="function" refid="group__group__c__api__functions_1gafb8df6439fdadb46d738ecd43cbaf002"><name>cy_http_server_response_stream_write_header</name></member>
    <member kind="function" refid="group__group__c__api__functions_1ga743dd1f394056a6ac09a6d4d8f17035c"><name>cy_http_server_response_stream_write_payload</name></member>
    <member kind="function" refid="group__group__c__api__functions_1ga38608388fa4a8298375bec0b3a74c28f"><name>cy_http_server_response_stream_write_resource</name></member>
    <member kind="function" refid="group__group__c__api__functions_1ga42ed7afac50f1e923520e6ef6f3c0098"><name>cy_http_server_response_stream_flush</name></member>
    <member kind="function" refid="group__group__c__api__functions_1gaf051d4ad577610bdbd38fa6aa8297592"><name>cy_http_server_response_stream_disconnect</name></member>
    <member kind="function" refid="group__group__c__api__functions_1gaf6442a83a82a102c4490280d85e0ef88"><name>cy_http_server_response_stream_disconnect_all</name></member>
    <member kind="function" refid="group__group__c__api__functions_1gaf2bee362096d822f39a4851c63c5abf3"><name>cy_http_server_get_query_parameter_value</name></member>
    <member kind="function" refid="group__group__c__api__functions_1ga3825981f26c68c82d781f5fb7f2a4bfc"><name>cy_http_server_get_query_parameter_count</name></member>
    <member kind="function" refid="group__group__c__api__functions_1gac1cd7f7af7f2f9aa6e288be4e2a6419f"><name>cy_http_server_match_query_parameter</name></member>
  </compound>
  <compound kind="file" refid="doxyfile__main__page_8txt"><name>doxyfile_main_page.txt</name>
  </compound>
  <compound kind="file" refid="_h_t_t_p__server_8hpp"><name>HTTP_server.hpp</name>
  </compound>
  <compound kind="group" refid="group__group__c__api"><name>group_c_api</name>
  </compound>
  <compound kind="group" refid="group__http__server__struct"><name>http_server_struct</name>
    <member kind="enum" refid="group__http__server__struct_1ga133e1438783bd7430e0e80b23518e743"><name>cy_http_request_type_t</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1gga133e1438783bd7430e0e80b23518e743aae6efd1e64c25ff81cc5114051db036b"><name>CY_HTTP_REQUEST_GET</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1gga133e1438783bd7430e0e80b23518e743a1c330cdb770148314e8e6c568b48acd9"><name>CY_HTTP_REQUEST_POST</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1gga133e1438783bd7430e0e80b23518e743ae6f844ee75f8cadd252bddfd3fde3532"><name>CY_HTTP_REQUEST_PUT</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1gga133e1438783bd7430e0e80b23518e743ae033858556d98e39e1c0f624c83c0b4a"><name>CY_HTTP_REQUEST_UNDEFINED</name></member>
    <member kind="enum" refid="group__http__server__struct_1ga64b862dacedd67c3d74845c1a6038b89"><name>cy_http_cache_t</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1gga64b862dacedd67c3d74845c1a6038b89a21676ce46eff61339e33dded1daeaaea"><name>CY_HTTP_CACHE_DISABLED</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1gga64b862dacedd67c3d74845c1a6038b89a1ba6f4e19b464a2b890040aa84c32a6b"><name>CY_HTTP_CACHE_ENABLED</name></member>
    <member kind="enum" refid="group__http__server__struct_1gab6be7a35bfdbd62b763603d280dc4ee1"><name>cy_http_mime_type_t</name></member>
    <member kind="enum" refid="group__http__server__struct_1gad1b0486d4ab51b5b1969e54aae1e5edd"><name>cy_http_status_codes_t</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5eddad3dbd9c89c618dff06785fdd77ec0419"><name>CY_HTTP_200_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5edda5e39c01af97526ea6c9b9e4406f7f7d0"><name>CY_HTTP_204_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5edda64594c9218c45ad4c7b424b819839587"><name>CY_HTTP_207_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5edda31bb5770a3687bea226677fcbec762ef"><name>CY_HTTP_301_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5edda19e795ef6a5cf0f638b8cd329aa6796a"><name>CY_HTTP_400_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5edda09b0f7124d716a8b21c1d299f87180ab"><name>CY_HTTP_403_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5edda4f45531dbee97b7a5dcc026a767eb977"><name>CY_HTTP_404_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5eddaf0b401449ba5fcada5c49976e8d9b41a"><name>CY_HTTP_405_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5edda56149d89c04690ca8aa577e123434930"><name>CY_HTTP_406_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5edda887ccefc0440437c131f3639754cf3a1"><name>CY_HTTP_412_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5edda1d7c7f7009c9a2030ebdd746f5b55f00"><name>CY_HTTP_415_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5eddac667e393604e80ea50bfd22788911250"><name>CY_HTTP_429_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5edda3e0ac33f9701d44a95cad9c5a30f4e05"><name>CY_HTTP_444_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5edda56844ab35f128c4ca409ec704dcb3ac5"><name>CY_HTTP_470_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5eddae099016f20b49bfd86f2b2282ab6858b"><name>CY_HTTP_500_TYPE</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1ggad1b0486d4ab51b5b1969e54aae1e5eddad3c183b10c91de68efdf076efab73876"><name>CY_HTTP_504_TYPE</name></member>
    <member kind="enum" refid="group__http__server__struct_1ga32d601085911dbd59b7ecd50a6b7f584"><name>cy_url_resource_type</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1gga32d601085911dbd59b7ecd50a6b7f584a16c98c125133981542d412c2449988a1"><name>CY_STATIC_URL_CONTENT</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1gga32d601085911dbd59b7ecd50a6b7f584ab61d536399015bfa53ede0e680aae9f7"><name>CY_DYNAMIC_URL_CONTENT</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1gga32d601085911dbd59b7ecd50a6b7f584a4e628b0071460eed61ea11b4d8b09087"><name>CY_RESOURCE_URL_CONTENT</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1gga32d601085911dbd59b7ecd50a6b7f584a3a560fd0b3405a9114a1d50f721cd33b"><name>CY_RAW_STATIC_URL_CONTENT</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1gga32d601085911dbd59b7ecd50a6b7f584a6b8d1cd5fef8b7ffc82c06591b8e3bc1"><name>CY_RAW_DYNAMIC_URL_CONTENT</name></member>
    <member kind="enumvalue" refid="group__http__server__struct_1gga32d601085911dbd59b7ecd50a6b7f584a7a1b3a5cd969740f25d02edb5e2bafba"><name>CY_RAW_RESOURCE_URL_CONTENT</name></member>
    <member kind="typedef" refid="group__http__server__struct_1ga047ac1c7063077c58da4cc991ad3b1bf"><name>cy_http_server_t</name></member>
    <member kind="typedef" refid="group__http__server__struct_1ga6515ad09b10c358aa2d1d1efd4a4f2cd"><name>url_processor_t</name></member>
    <member kind="define" refid="group__http__server__struct_1ga9570abf22d29227cd523da79c1e216eb"><name>EXPAND_AS_ENUMERATION</name></member>
    <member kind="define" refid="group__http__server__struct_1ga517bd1687351d721dfa5f6ec4053493f"><name>MIME_TABLE</name></member>
  </compound>
  <compound kind="group" refid="group__http__server__defines"><name>http_server_defines</name>
    <member kind="define" refid="group__http__server__defines_1ga425a68fa7a0370bc6e5860c5071ff678"><name>CY_RSLT_MODULE_HTTP_SERVER_ERR_CODE_START</name></member>
    <member kind="define" refid="group__http__server__defines_1gadf0bfe131ef6b6df00ccd63fc5c3f97d"><name>CY_RSLT_HTTP_SERVER_ERR_BASE</name></member>
    <member kind="define" refid="group__http__server__defines_1gaf2c796290719bbed06260345115fa4d5"><name>CY_RSLT_HTTP_SERVER_ERROR_NO_MEMORY</name></member>
    <member kind="define" refid="group__http__server__defines_1ga78e074584fe1b9db59719da68d789e45"><name>CY_RSLT_HTTP_SERVER_ERROR_THREAD_INIT</name></member>
    <member kind="define" refid="group__http__server__defines_1gaea7661da0e5f47dc3189a74cf46c3bc9"><name>CY_RSLT_HTTP_SERVER_ERROR_QUEUE_INIT</name></member>
    <member kind="define" refid="group__http__server__defines_1gad0fc4a3f2264b1cb8782f1c786007c4e"><name>CY_RSLT_HTTP_SERVER_ERROR_MUTEX_INIT</name></member>
    <member kind="define" refid="group__http__server__defines_1ga4a0578b0b02fac0f388a8f42d24c2438"><name>CY_RSLT_HTTP_SERVER_ERROR_TCP_SERVER_START</name></member>
    <member kind="define" refid="group__http__server__defines_1gaf37af643cc83b846b489ddc5c0f19f0c"><name>CY_RSLT_HTTP_SERVER_ERROR_UNSUPPORTED</name></member>
    <member kind="define" refid="group__http__server__defines_1gadc67324a1bbca349985d93bc79a57d9d"><name>CY_RSLT_HTTP_SERVER_ERROR_BADARG</name></member>
    <member kind="define" refid="group__http__server__defines_1ga1ed8eeca1b0a95ddf9e5392eb6ff8591"><name>CY_RSLT_HTTP_SERVER_ERROR_NOT_FOUND</name></member>
    <member kind="define" refid="group__http__server__defines_1ga7f11e40b478453160843230b18ee3857"><name>CY_RSLT_HTTP_SERVER_ERROR_PARTIAL_RESULTS</name></member>
    <member kind="define" refid="group__http__server__defines_1ga9984e926fea988cbf4872348e2370c55"><name>CY_RSLT_HTTP_SERVER_PAGE_DATABASE_FULL</name></member>
    <member kind="define" refid="group__http__server__defines_1gaf18faa0179a6087e4b03d9a81d02010e"><name>CY_RSLT_ERROR</name></member>
    <member kind="define" refid="group__http__server__defines_1ga6e47b484776a72216039a2af358bcedc"><name>MAX_NUMBER_OF_HTTP_SERVER_RESOURCES</name></member>
  </compound>
  <compound kind="group" refid="group__group__c__api__functions"><name>group_c_api_functions</name>
    <member kind="function" refid="group__group__c__api__functions_1ga74c8a85310d1537177f80adaef20cfd9"><name>cy_http_server_network_init</name></member>
    <member kind="function" refid="group__group__c__api__functions_1ga1922ac08bf92b285a8f96bb6170291af"><name>cy_http_server_network_deinit</name></member>
    <member kind="function" refid="group__group__c__api__functions_1ga1ca51f61222e3aed87c0a15955e2e269"><name>cy_http_server_create</name></member>
    <member kind="function" refid="group__group__c__api__functions_1ga13251efe44c82d506b1ccf48e5acc5dd"><name>cy_http_server_delete</name></member>
    <member kind="function" refid="group__group__c__api__functions_1ga3cb020a5e45f80b55ea3fc2eb1c6c3df"><name>cy_http_server_start</name></member>
    <member kind="function" refid="group__group__c__api__functions_1ga9883b5677f3f49d229d8883f414e9806"><name>cy_http_server_stop</name></member>
    <member kind="function" refid="group__group__c__api__functions_1gad03c8e19c0792c4307356e52ba3006ee"><name>cy_http_server_register_resource</name></member>
    <member kind="function" refid="group__group__c__api__functions_1gaf4743c3b0e6ef9ba4afc5e1b5531691f"><name>cy_http_server_response_stream_enable_chunked_transfer</name></member>
    <member kind="function" refid="group__group__c__api__functions_1gab24071765e97d90225a33ead1318298e"><name>cy_http_server_response_stream_disable_chunked_transfer</name></member>
    <member kind="function" refid="group__group__c__api__functions_1gafb8df6439fdadb46d738ecd43cbaf002"><name>cy_http_server_response_stream_write_header</name></member>
    <member kind="function" refid="group__group__c__api__functions_1ga743dd1f394056a6ac09a6d4d8f17035c"><name>cy_http_server_response_stream_write_payload</name></member>
    <member kind="function" refid="group__group__c__api__functions_1ga38608388fa4a8298375bec0b3a74c28f"><name>cy_http_server_response_stream_write_resource</name></member>
    <member kind="function" refid="group__group__c__api__functions_1ga42ed7afac50f1e923520e6ef6f3c0098"><name>cy_http_server_response_stream_flush</name></member>
    <member kind="function" refid="group__group__c__api__functions_1gaf051d4ad577610bdbd38fa6aa8297592"><name>cy_http_server_response_stream_disconnect</name></member>
    <member kind="function" refid="group__group__c__api__functions_1gaf6442a83a82a102c4490280d85e0ef88"><name>cy_http_server_response_stream_disconnect_all</name></member>
    <member kind="function" refid="group__group__c__api__functions_1gaf2bee362096d822f39a4851c63c5abf3"><name>cy_http_server_get_query_parameter_value</name></member>
    <member kind="function" refid="group__group__c__api__functions_1ga3825981f26c68c82d781f5fb7f2a4bfc"><name>cy_http_server_get_query_parameter_count</name></member>
    <member kind="function" refid="group__group__c__api__functions_1gac1cd7f7af7f2f9aa6e288be4e2a6419f"><name>cy_http_server_match_query_parameter</name></member>
  </compound>
  <compound kind="group" refid="group__group__api__cpp"><name>group_api_cpp</name>
  </compound>
  <compound kind="dir" refid="dir_d44c64559bbebec7f509842c48db8b23"><name>include</name>
  </compound>
  <compound kind="group" refid="indexpage"><name>index</name>
  </compound>
</doxygenindex>